{*
 * 2018-2023 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2023 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *}

{if $banner_type eq 'contact'}
    <span
{else}
    <div
{/if}
    id="{$banner_name}_{$hookName}"
    class="mxb_banner {$banner_name} mxb_banner_{$hookName} type_{$banner_type} {$banner_hidden_class} {if $hookName eq 'displayFooterBefore'}col-lg-8 col-md-12 col-sm-12 my-0{/if}"

    >
{if isset($banner_html)}
    {$banner_html nofilter}
{elseif isset($overlay_content)}
    {if isset($overlay_button)}
        <button
            class="btn btn-primary"
            onClick="mxb_banner_overlay_show('{$banner_name}_{$hookName}');"
            >{$overlay_button}
        </button>
    {else}
        <a
            href="#"
            class="banner"
            onClick="mxb_banner_overlay_show('{$banner_name}_{$hookName}');"
            style="cursor:pointer;"
            >
        {if isset($banner_img)}
            <img
                class="{$banner_class}"
                src="{$banner_img}"
                alt="{$banner_desc}"
                title="{$banner_desc}"
                {if $banner_max_width neq ''}
                    style="max-width: {$banner_max_width} !important;"
                {/if}
                >
        {else}
            <span>{$banner_desc}</span>
        {/if}
        </a>
    {/if}
        <!-- id="{$banner_name}_overlay_bg" -->
    <div
        class="mxb_banner_overlay_bg"
        onClick="mxb_banner_overlay_hide('{$banner_name}_{$hookName}');"
        >
    </div>

        <!-- id="{$banner_name}_overlay_content" -->
    <div
        class="mxb_banner_overlay_content"
        >{$overlay_content nofilter}
    </div>
{else}
    <a class="banner" href="{$banner_link}">
      {if isset($banner_img)}
        <img class="{$banner_class}" src="{$banner_img}" alt="{$banner_desc}" title="{$banner_desc}">
      {else}
        <span>{$banner_desc}</span>
      {/if}
    </a>
{/if}
{if $banner_type eq 'contact'}
    </span>
{else}
    </div>
{/if}

